NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::PlugSlotBuilder Class Reference

Represents a NXOpen::Weld::PlugSlot builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreatePlugSlotBuilder
Default values. More...

Inheritance diagram for NXOpen::Weld::PlugSlotBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ArcProcessEnum {
  ArcProcessEnumGmaw, ArcProcessEnumGtaw, ArcProcessEnumGtac, ArcProcessEnumSmaw,
  ArcProcessEnumPaw
}
 arc process for the weld feature More...
 
enum  EnumContour { EnumContourNone, EnumContourConvex, EnumContourFlush, EnumContourConcave }
 contour type More...
 

Public Member Functions

bool AssignWeldPMI ()
 Returns the assign weld pmi
Created in NX8.0.0. More...
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics
Created in NX8.0.0. More...
 
NXOpen::ExpressionContourDepth ()
 Returns the contour depth
Created in NX8.0.0. More...
 
NXOpen::ExpressionContourHeight ()
 Returns the contour height needed for cap
Created in NX8.0.0. More...
 
NXOpen::Weld::PlugSlotBuilder::EnumContour ContourType ()
 Returns the contour type
Created in NX8.0.0. More...
 
NXOpen::SectionEdge1 ()
 Returns the edge of the hole or slot on face1
Created in NX8.0.0. More...
 
NXOpen::ScCollectorFace1 ()
 Returns the face1
Created in NX8.0.0. More...
 
NXOpen::ScCollectorFace2 ()
 Returns the face2
Created in NX8.0.0. More...
 
bool FieldWeld ()
 Returns the field weld
Created in NX8.0.0. More...
 
NXOpen::FaceSeedFace1 ()
 Returns the top face on face1
Created in NX8.0.0. More...
 
NXOpen::FaceSeedFace2 ()
 Returns the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0. More...
 
void SetAssignWeldPMI (bool assignWeldPMI)
 Sets the assign weld pmi
Created in NX8.0.0. More...
 
void SetContourType (NXOpen::Weld::PlugSlotBuilder::EnumContour contourType)
 Sets the contour type
Created in NX8.0.0. More...
 
void SetFieldWeld (bool fieldWeld)
 Sets the field weld
Created in NX8.0.0. More...
 
void SetSeedFace1 (NXOpen::Face *seedFace1)
 Sets the top face on face1
Created in NX8.0.0. More...
 
void SetSeedFace2 (NXOpen::Face *seedFace2)
 Sets the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Weld::PlugSlot builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreatePlugSlotBuilder
Default values.

Property Value

AssignWeldPMI

0

ContourDepth.Value

2.54 (millimeters part), .1 (inches part)

ContourHeight.Value

2.54 (millimeters part), .1 (inches part)

ContourType

None

FieldWeld

0


Created in NX8.0.0.

Member Enumeration Documentation

arc process for the weld feature

Enumerator
ArcProcessEnumGmaw 

gmaw

ArcProcessEnumGtaw 

gtaw

ArcProcessEnumGtac 

gtac

ArcProcessEnumSmaw 

smaw

ArcProcessEnumPaw 

paw

contour type

Enumerator
EnumContourNone 

none

EnumContourConvex 

convex

EnumContourFlush 

flush

EnumContourConcave 

concave

Member Function Documentation

bool NXOpen::Weld::PlugSlotBuilder::AssignWeldPMI ( )

Returns the assign weld pmi
Created in NX8.0.0.



License requirements : None

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::PlugSlotBuilder::Characteristics ( )

Returns the characteristics
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Weld::PlugSlotBuilder::ContourDepth ( )

Returns the contour depth
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Weld::PlugSlotBuilder::ContourHeight ( )

Returns the contour height needed for cap
Created in NX8.0.0.



License requirements : None

NXOpen::Weld::PlugSlotBuilder::EnumContour NXOpen::Weld::PlugSlotBuilder::ContourType ( )

Returns the contour type
Created in NX8.0.0.



License requirements : None

NXOpen::Section* NXOpen::Weld::PlugSlotBuilder::Edge1 ( )

Returns the edge of the hole or slot on face1
Created in NX8.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Weld::PlugSlotBuilder::Face1 ( )

Returns the face1
Created in NX8.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Weld::PlugSlotBuilder::Face2 ( )

Returns the face2
Created in NX8.0.0.



License requirements : None

bool NXOpen::Weld::PlugSlotBuilder::FieldWeld ( )

Returns the field weld
Created in NX8.0.0.



License requirements : None

NXOpen::Face* NXOpen::Weld::PlugSlotBuilder::SeedFace1 ( )

Returns the top face on face1
Created in NX8.0.0.



License requirements : None

NXOpen::Face* NXOpen::Weld::PlugSlotBuilder::SeedFace2 ( )

Returns the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::PlugSlotBuilder::SetAssignWeldPMI ( bool  assignWeldPMI)

Sets the assign weld pmi
Created in NX8.0.0.



License requirements : None

Parameters
assignWeldPMIassignweldpmi
void NXOpen::Weld::PlugSlotBuilder::SetContourType ( NXOpen::Weld::PlugSlotBuilder::EnumContour  contourType)

Sets the contour type
Created in NX8.0.0.



License requirements : None

Parameters
contourTypecontourtype
void NXOpen::Weld::PlugSlotBuilder::SetFieldWeld ( bool  fieldWeld)

Sets the field weld
Created in NX8.0.0.



License requirements : None

Parameters
fieldWeldfieldweld
void NXOpen::Weld::PlugSlotBuilder::SetSeedFace1 ( NXOpen::Face seedFace1)

Sets the top face on face1
Created in NX8.0.0.



License requirements : None

Parameters
seedFace1seedface1
void NXOpen::Weld::PlugSlotBuilder::SetSeedFace2 ( NXOpen::Face seedFace2)

Sets the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0.



License requirements : None

Parameters
seedFace2seedface2

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.